function makeItemOnPage(item, itemNo) {
    // we create a container for the current item
    var productImageHtml = getProductImageHtml(item, itemNo);
    var productDetailsHtml = getProductDetailsHtml(item, itemNo);
    var addToCart = getAddToCartButton(item, itemNo);
    var itemContainer = '<div class="col-sm-2 itemContainer" id="item-' + itemNo + '" style="padding: 10px">';
    itemContainer += productImageHtml;
    itemContainer += productDetailsHtml;
    itemContainer += addToCart;
    itemContainer += "</div>";
    return itemContainer;
}

function getProductImageHtml(item, itemNo) {
    return '<div class="productImage" id="productImage-' + itemNo + '"><img src="' + item.image + '" /></div>';
}

function getProductDetailsHtml(item, itemNo) {
    return '<div class="productDetails"><strong>' + item.name + '</strong> - ' + item.price + '$</div>';
}

function getAddToCartButton(item, itemNo) {
    return '<button type="button" class="btn btn-success btn-block"><i class="fa fa-bell"></i> Add to cart</button>';
}